Xerces-C++: DOMNodeList Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DOMNodeList Class Reference

The `DOMNodeList` interface provides the abstraction of an ordered collection of nodes. More...

List of all members.

## Public Member Functions
Destructor
virtual | ~DOMNodeList ()
| Destructor.
Functions introduced in DOM Level 1
virtual DOMNode * | item (XMLSize_t index) const =0
| Returns the `index` item in the collection.
virtual XMLSize_t | getLength () const =0
| Returns the number of nodes in the list.
## Protected Member Functions
Hidden constructors
| DOMNodeList ()

## Detailed Description

The `DOMNodeList` interface provides the abstraction of an ordered collection of nodes.

DOMNodeLists are created by DOMDocument::getElementsByTagName(), DOMNode::getChildNodes(),

The items in the `DOMNodeList` are accessible via an integral index, starting from 0.

DOMNodeLists are "live", in that any changes to the document tree are immediately reflected in any DOMNodeLists that may have been created for that tree.

## Constructor & Destructor Documentation

DOMNodeList::DOMNodeList | ( |  | ) | `[protected]`

virtual DOMNodeList::~DOMNodeList | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual DOMNode* DOMNodeList::item | ( | XMLSize_t | index | ) | const`[pure virtual]`

Returns the `index` item in the collection.

If `index` is greater than or equal to the number of nodes in the list, this returns `null`.

Parameters:

  | index | Index into the collection.

Returns:
  The node at the `index`th position in the `DOMNodeList`, or `null` if that is not a valid index.

Since:
  DOM Level 1

virtual XMLSize_t DOMNodeList::getLength | ( |  | ) | const`[pure virtual]`

Returns the number of nodes in the list.

The range of valid child node indices is 0 to `length-1` inclusive.

Since:
  DOM Level 1

The documentation for this class was generated from the following file:

- DOMNodeList.hpp